<div layout="row">
    <div layout-padding>
        <h3>Filter</h3>
        <div ng-include="'questions/partials/search.tpl.html'"></div>
    </div>
    <div flex>
        <h1>Questions</h1>
        <a ui-sref="question({id: 'new'})" class="btn btn-primary">New Question</a>
        <table class="table">
            <tr>
                <th>ID</th>
                <th>Title</th>
                <th>Author</th>
                <th>Difficulty</th>
                <th>Category</th>
                <th>Schema</th>
                <th>Thematics</th>
            </tr>
            <tr ng-repeat="question in QsVM.getSearchedQuestions(QsVM.questions) | orderBy:'title'">
            <!-- <tr ng-repeat="question in (QsVM.questions | filter:{id: search.id}:noFuzzyComparator | filter:{title: search.title, author: search.author} | filter:{category: search.categories, schema: search.schemas}:inArrayComparator | filter:{thematics: search.thematics}:anyInArrayComparator | filter:isInBetweenFilterer(search.difficulty_min, search.difficulty_max) )"> -->
                <td>{{question.id}}</td>
                <td>
                    <button ng-click="QsVM.goToQuestion(question.id)" class="ui right labeled icon button">
                        <i class="right arrow icon"></i>
                        {{question.titulo}}
                    </button>
                    <!-- <a ui-sref="question({id: question.id})">{{question.title}}</a> -->
                </td>
                <td>{{question.autor}}</td>
                <td>{{question.dificultad}}</td>
                <td>{{QsVM.categories | filter:{id: question.category} | property:'name' | firstNotNull }}</td>
                <td>{{QsVM.schemas | filter:{id: question.schema} | property:'name' | firstNotNull }}</td>
                <td>
                    <span ng-repeat="thematic in (QsVM.thematics | filter:question.tematicas:App.inArrayComparator)">
                        {{thematic.nombre}},&nbsp;
                    </span>
                </td>
            </tr>
        </table>
    </div>
</div>
